{ agenix, pkgs, ... }: rec {
  dev = pkgs.mkShell {
    buildInputs = [
      agenix.packages.x86_64-linux.default
      (pkgs.nixos { }).nixos-rebuild
      pkgs.terraform
      packages.x86_64-linux.deploy
      packages.x86_64-linux.format
    ];
    shellHook = ''
    '';
  };

  packages = {
    x86_64-linux = {
      deploy = pkgs.writeShellScriptBin "deploy" ''                                                                                                                                                                  
        nixos-rebuild switch --target-host root@matri.cx --build-host root@matri.cx --flake .#eve-psr-nix0 ;
      '';
      format = pkgs.writeShellScriptBin "format" ''                                                                                                                                                                  
        nix fmt ./*.nix;                                                                                                                                                                                             
        for i in */; do                                                                                                                                                                                              
          nix fmt $i/*.nix;                                                                                                                                                                                          
        done;                                                                                                                                                                                                        
      '';
    };
  };
}
